# Uses of Class
jdk.jfr.consumer.RecordedClass

Packages that use RecordedClass
Package
Description
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.

- ## Uses of RecordedClass in jdk.jfr.consumer

  Methods in jdk.jfr.consumer that return RecordedClass
  Modifier and Type
  Method
  Description
  `final RecordedClass`
  RecordedObject.`getClass(String name)`
  Returns the value of a field of type `Class`.
  `RecordedClass`
  RecordedClassLoader.`getType()`
  Returns the class of the class loader.
  `RecordedClass`
  RecordedMethod.`getType()`
  Returns the class this method belongs to, if it belong to a Java frame.